Liblinphone: linphone::Ldap Class Reference

Liblinphone 5.2.0

Public Member Functions | Static Public Member Functions | List of all members
linphone::Ldap Class Reference

Object that represents a Linphone Ldap. More...

`#include <ldap.hh>`

Inheritance diagram for linphone::Ldap:

## Public Member Functions
LINPHONECXX_PUBLIC | Ldap (void *ptr, bool takeRef=true)
LINPHONECXX_PUBLIC _LinphoneLdap * | cPtr ()
LINPHONECXX_PUBLIC std::shared_ptr< linphone::Core > | getCore ()
| Get the Core object to which is associated the Ldap.
LINPHONECXX_PUBLIC int | getIndex () const
| Get the index of the Ldap.
LINPHONECXX_PUBLIC void | setIndex (int index)
| Set the index associated to the Ldap.
LINPHONECXX_PUBLIC std::shared_ptr< const linphone::LdapParams > | getParams ()
| Get the LdapParams as read-only object.
LINPHONECXX_PUBLIC void | setParams (const std::shared_ptr< linphone::LdapParams > &params)
| Set the LdapParams used by this Ldap.

## Static Public Member Functions
static LINPHONECXX_PUBLIC std::shared_ptr< linphone::Ldap > | newWithParams (const std::shared_ptr< linphone::Core > &lc, const std::shared_ptr< linphone::LdapParams > &params)
| Create a new Ldap, associate it with the LdapParams and store it into the configuration file.

## Detailed Description

Object that represents a Linphone Ldap.

Use a LdapParams object to configure it.

## Member Function Documentation

## ◆ getCore()

LINPHONECXX_PUBLIC std::shared_ptr< linphone::Core > linphone::Ldap::getCore | ( |  | ) |

Get the Core object to which is associated the Ldap.

Returns
  The Core object to which is associated the Ldap.

## ◆ getIndex()

LINPHONECXX_PUBLIC int linphone::Ldap::getIndex | ( |  | ) | const

Get the index of the Ldap.

Returns
  The index of the Ldap

## ◆ getParams()

LINPHONECXX_PUBLIC std::shared_ptr< const linphone::LdapParams > linphone::Ldap::getParams | ( |  | ) |

Get the LdapParams as read-only object.

To make changes, clone the returned object using LdapParams::clone() method, make your changes on it and apply them using with setParams().

Returns
  The LdapParams attached to this ldap.

## ◆ newWithParams()

static LINPHONECXX_PUBLIC std::shared_ptr< linphone::Ldap > linphone::Ldap::newWithParams | ( | const std::shared_ptr< linphone::Core > & | lc,
|  | const std::shared_ptr< linphone::LdapParams > & | params
| ) |  |
| static

Create a new Ldap, associate it with the LdapParams and store it into the configuration file.

Parameters

  params | The LdapParams object.

Returns
  The newly created Ldap object.

## ◆ setParams()

LINPHONECXX_PUBLIC void linphone::Ldap::setParams | ( | const std::shared_ptr< linphone::LdapParams > & | params | ) |

Set the LdapParams used by this Ldap.

The parameters will be saved in the configuration file.

Parameters

  params | The LdapParams object.

The documentation for this class was generated from the following file:

- ldap.hh